=== debian/changelog ===
calamares (3.2.17.1-0ubuntu4) focal; urgency=medium

  * Add patch to fix cmake finding boost 1.71. Fixes FTBFS.
    - debian/patches: cmake-fix-find-boost.patch

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Feb 2020 20:43:08 +0000

calamares (3.2.17.1-0ubuntu3) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:00:58 +0000

calamares (3.2.17.1-0ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 05:40:26 +0000

calamares (3.2.17.1-0ubuntu1) focal; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.4.1, no changes needed.
  * Add lintian override for false-positive spelling error.

 -- Dan Simmons <kc2bez@lubuntu.me>  Tue, 03 Dec 2019 22:04:34 -0500

calamares (3.2.14-0ubuntu3) focal; urgency=medium

  * No-change rebuild against libkpmcore8.

 -- Rik Mills <rikmills@kde.org>  Mon, 28 Oct 2019 09:08:28 +0000
