## calamares 3.2.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 
 cmake_minimum_required( VERSION 3.3 FATAL_ERROR )
 project( CALAMARES
-    VERSION 3.2.17.1
+    VERSION 3.2.18
     LANGUAGES C CXX )
 
 set( CALAMARES_VERSION_RC 0 )  # Set to 0 during release cycle, 1 during development
@@ -108,11 +108,11 @@
 #       copy these four lines to four backup lines, add "p", and then update
 #       the original four lines with the current translations).
 #
-# Total 61 languages
-set( _tx_complete ca cs_CZ da fi_FI he hr ja lt pt_BR sq )
-set( _tx_good ast de es es_MX et fr gl hi hu id it_IT ko nl pl
-    pt_PT ru sk tr_TR zh_TW )
-set( _tx_ok ar be bg el en_GB es_PR eu is ml mr nb ro sl sr
+# Total 62 languages
+set( _tx_complete ca da fi_FI fr he hr ja lt sq tr_TR )
+set( _tx_good ast cs_CZ de es es_MX et gl hi hu id it_IT ko ml nl
+    pl pt_BR pt_PT ru sk zh_TW )
+set( _tx_ok ar as be bg el en_GB es_PR eu is mr nb ro sl sr
     sr@latin sv th uk zh_CN )
 set( _tx_incomplete ca@valencia eo fa fr_CH gu kk kn lo mk ne_NP ur
     uz )
@@ -220,6 +220,8 @@
 
     set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
 
+    # The path prefix is only relevant for CMake 3.16 and later, fixes #1286
+    set( CMAKE_AUTOMOC_PATH_PREFIX OFF )
     set( CALAMARES_AUTOMOC_OPTIONS "-butils/moc-warnings.h" )
     set( CALAMARES_AUTOUIC_OPTIONS --include utils/moc-warnings.h )
 else()
@@ -313,6 +315,3 @@
     enable_testing()
 endif ()
 
-find_package( PythonLibs ${PYTHONLIBS_VERSION} )
-set_package_properties(
-    PythonLibs PROPERTIES
