=== src/modules/hostinfo/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
     LINK_PRIVATE_LIBRARIES
         calamares
     SHARED_LIB
+    NO_CONFIG
 )
 
 if ( KF5CoreAddons_FOUND AND KF5CoreAddons_VERSION VERSION_GREATER_EQUAL 5.58 )
