=== debian/changelog ===
calamares (3.2.18-1) unstable; urgency=medium

  * New upstream release
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Fri, 07 Feb 2020 18:34:53 +0200

calamares (3.2.17.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 03 Dec 2019 15:22:58 +0200

calamares (3.2.17-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 02 Dec 2019 11:19:51 +0200

calamares (3.2.16-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 12 Nov 2019 08:00:29 +0000

calamares (3.2.15-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.4.1

 -- Jonathan Carter <jcc@debian.org>  Mon, 14 Oct 2019 08:31:17 +0000

calamares (3.2.14-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.5.0
  * Override lintian false-positive

 -- Jonathan Carter <jcc@debian.org>  Tue, 08 Oct 2019 20:33:58 +0200

calamares (3.2.13-1) unstable; urgency=medium

  * New upstream release
  * Add copyright information for appdata file
  * Remove lintian false positive that no longer applies

 -- Jonathan Carter <jcc@debian.org>  Mon, 09 Sep 2019 12:25:55 +0000

calamares (3.2.12-1) unstable; urgency=medium

  * New upstream release
  * Add lintian override for spelling mistake for something that looks like
    a string, but isn't
  * Remove lintian override that's no longer needed

 -- Jonathan Carter <jcc@debian.org>  Thu, 08 Aug 2019 08:52:16 +0000

calamares (3.2.11-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.4.0

 -- Jonathan Carter <jcc@debian.org>  Mon, 08 Jul 2019 09:01:46 +0000

calamares (3.2.7-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Mon, 29 Apr 2019 09:26:13 +0000

calamares (3.2.5-1~exp1) experimental; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Wed, 24 Apr 2019 12:19:56 +0200

calamares (3.2.4-4) unstable; urgency=medium

  * Update VCS location
  * Revert nostrip deb option

 -- Jonathan Carter <jcc@debian.org>  Mon, 25 Feb 2019 07:32:20 +0000
