=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: calamares
 Section: utils
 Priority: optional
-Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonathan Carter <jcc@debian.org>
+Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: cmake,
                cryptsetup,
-               debhelper (>= 12),
+               debhelper-compat (= 12),
                extra-cmake-modules,
                gettext,
                libatasmart-dev,
@@ -16,6 +15,7 @@
                libkf5iconthemes-dev,
                libkf5kio-dev,
                libkf5parts-dev,
+               libkf5plasma-dev,
                libkf5service-dev,
                libkf5solid-dev,
                libkpmcore-dev,
@@ -38,12 +38,10 @@
                qtdeclarative5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/calamares/calamares
-Vcs-Browser: https://phab.lubuntu.me/source/calamares/
-Vcs-Git: https://phab.lubuntu.me/source/calamares.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde-extras/calamares
-XS-Debian-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde-extras/calamares.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/calamares
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/calamares.git
 
 Package: calamares
 Architecture: linux-any
@@ -55,7 +53,7 @@
  It provides a graphical installer that can be used with nearly
  any distribution. This package is suitable for live media on
  Debian-based systems, and won't be of any particular use on
- and already installed system.
+ an already installed system.
  .
  You will likely want to provide your own config files to match
  your distribution, reading the Calamares documentation will guide
