=== debian/changelog ===
calamares (3.2.19-0ubuntu1) focal; urgency=medium

  * New upstream release.
  * Improved partition handling with kpmcore (LP: #1851188)

 -- Dan Simmons <kc2bez@lubuntu.me>  Sat, 22 Feb 2020 08:16:53 -0500

calamares (3.2.18-0ubuntu1) focal; urgency=medium

  * New upstream release.
  * Update copyright years.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Update debian/control with debhelper-compat (= 12), remove
    debian/compat.
  * Remove cmake-fix-find-boost.patch, code applied upstream.
  * Remove unneeded lintian override.

 -- Dan Simmons <kc2bez@lubuntu.me>  Sat, 15 Feb 2020 23:30:04 -0500

calamares (3.2.17.1-0ubuntu5) focal; urgency=medium

  * No-change rebuild for libkpmcore9.

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Feb 2020 21:40:17 +0000
